# fn:max

fn:max(xdt:anyAtomicType* $srcval) → xdt:anyAtomicType?

Function signature

$srcval | xdt:anyAtomicType *
Result | xdt:anyAtomicType ?

Returns the highest value in a sequence of comparable items

XPath 2.0 Specification

Implemented. Changed in 7.4 to support any comparable type. Changed in 7.8 to convert untyped Atomic values to xs:double, and to return NaN if the input sequence contains a NaN. Changed in 8.1 to return the value after the conversion to xs:double, rather than the value before conversion.

fn:max(xdt:anyAtomicType* $srcval, string $collation) → xdt:anyAtomicType?

Function signature

$srcval | xdt:anyAtomicType *
$collation | xs:string
Result | xdt:anyAtomicType ?

Returns the highest value in a sequence of strings, using a specified collation to perform the comparisons

XPath 2.0 Specification

Implemented in 7.4. Changed in 7.8 to convert untyped Atomic values to xs:double, and to return NaN if the input sequence contains a NaN. Changed in 8.1 to return the value after the conversion to xs:double, rather than the value before conversion.

Expand | Up Next